Bug 165921 - Installer reports "list index out of range" in rpm.mergeHeaderListFromFD
Installer reports "list index out of range" in rpm.mergeHeaderListFromFD
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: Security
: 165920 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-08-14 10:19 EDT by FB
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-15 14:37:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda dump file on disquette (526.88 KB, text/plain)
2005-08-14 10:19 EDT, FB
no flags Details

  None (edit)
Description FB 2005-08-14 10:19:17 EDT
Description of problem:

When installing Fedora Core 4 from the x86_64 DVD (checked successfully) after 
partitionning/formatting, I systematically have a crash in anaconda.
Note: the MB is an ASUS a8V Deluxe. The target drive for installation is an
IDE disk, on the Promise SA378 interface. Auto partitionning was used, I also
tried manually... no change.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.boot from DVD
2.install graphically
3.choose packages  
Actual results:

anaconda crashes

Expected results:

should go on with installation of requested packages

Additional info:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 1137, in handleRenderCallback
  File "/usr/lib/anaconda/iw/progress_gui.py", line 244, in renderCallback
  File "/usr/lib/anaconda/gui.py", line 873, in nextClicked
  File "/usr/lib/anaconda/dispatch.py", line 174, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 242, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 726, in doPreInstall
  File "/usr/lib/anaconda/image.py", line 126, in mergeFullHeaders
    hdlist.mergeFullHeaders("%s/%s/base/hdlist2" % (self.tree, productPath))
  File "/usr/lib/anaconda/hdrlist.py", line 352, in mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
IndexError: list index out of range

Local variables in innermost frame:
self: <hdrlist.HeaderListFromFile instance at 0x2aaaaf1c35a8>
fd: 46
file: /mnt/source/Fedora/base/hdlist2
Comment 1 FB 2005-08-14 10:19:18 EDT
Created attachment 117715 [details]
Anaconda dump file on disquette
Comment 2 FB 2005-08-14 10:22:20 EDT
*** Bug 165920 has been marked as a duplicate of this bug. ***
Comment 3 Jeremy Katz 2005-08-15 14:37:07 EDT
There are a lot of read errors on your CD.  Please verify your media according
to the instructions at http://rhlinux.redhat.com/anaconda/mediacheck.html

Note You need to log in before you can comment on or make changes to this bug.